## opencv 3.2.0+dfsg.1

=== apps/CMakeLists.txt ===
add_definitions(-D__OPENCV_BUILD=1)
link_libraries(${OPENCV_LINKER_LIBS})

add_subdirectory(traincascade)
add_subdirectory(createsamples)
add_subdirectory(annotation)
add_subdirectory(visualisation)
add_subdirectory(interactive-calibration)
add_subdirectory(version)

=== apps/visualisation/CMakeLists.txt ===
SET(OPENCV_VISUALISATION_DEPS opencv_core opencv_highgui opencv_imgproc opencv_videoio opencv_imgcodecs)
ocv_check_dependencies(${OPENCV_VISUALISATION_DEPS})

if(NOT OCV_DEPENDENCIES_FOUND)
   return()
endif()

project(visualisation)
set(the_target opencv_visualisation)

ocv_target_include_directories(${the_target} PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}" "${OpenCV_SOURCE_DIR}/include/opencv")
ocv_target_include_modules_recurse(${the_target} ${OPENCV_VISUALISATION_DEPS})

file(GLOB SRCS *.cpp)

set(visualisation_files ${SRCS})
ocv_add_executable(${the_target} ${visualisation_files})
ocv_target_link_libraries(${the_target} ${OPENCV_VISUALISATION_DEPS})

set_target_properties(${the_target} PROPERTIES
                      DEBUG_POSTFIX "${OPENCV_DEBUG_POSTFIX}"
                      ARCHIVE_OUTPUT_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                      RUNTIME_OUTPUT_DIRECTORY ${EXECUTABLE_OUTPUT_PATH}
                      INSTALL_NAME_DIR lib
                      OUTPUT_NAME "opencv_visualisation")

if(ENABLE_SOLUTION_FOLDERS)
   set_target_properties(${the_target} PROPERTIES FOLDER "applications")
endif()

if(INSTALL_CREATE_DISTRIB)
   if(BUILD_SHARED_LIBS)
      install(TARGETS ${the_target} RUNTIME DESTINATION ${OPENCV_BIN_INSTALL_PATH} CONFIGURATIONS Release COMPONENT dev)
   endif()
else()
   install(TARGETS ${the_target} RUNTIME DESTINATION ${OPENCV_BIN_INSTALL_PATH} COMPONENT dev)
endif()

=== modules/cudacodec/CMakeLists.txt ===
if(IOS OR APPLE OR WINRT OR (NOT HAVE_CUDA AND NOT BUILD_CUDA_STUBS))
  ocv_module_disable(cudacodec)
endif()

set(the_description "CUDA-accelerated Video Encoding/Decoding")

ocv_warnings_disable(CMAKE_CXX_FLAGS /wd4127 /wd4324 /wd4512 -Wundef -Wshadow)

ocv_add_module(cudacodec opencv_core opencv_videoio OPTIONAL opencv_cudev)

ocv_module_include_directories()
ocv_glob_module_sources()

set(extra_libs "")

if(HAVE_NVCUVID)
  list(APPEND extra_libs ${CUDA_CUDA_LIBRARY} ${CUDA_nvcuvid_LIBRARY})
endif()

if(HAVE_NVCUVENC)
  if(WIN32)
    list(APPEND extra_libs ${CUDA_nvcuvenc_LIBRARY})
  endif()
endif()

ocv_create_module(${extra_libs})

ocv_add_accuracy_tests()
ocv_add_perf_tests()

=== modules/objdetect/CMakeLists.txt ===
set(the_description "Object Detection")
ocv_define_module(objdetect opencv_core opencv_imgproc opencv_ml OPTIONAL opencv_highgui WRAP java python)

=== modules/python/CMakeLists.txt ===
# ----------------------------------------------------------------------------
#  CMake file for python support
# ----------------------------------------------------------------------------

if((WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
    OR BUILD_opencv_world
    )
  ocv_module_disable(python2)
  ocv_module_disable(python3)
endif()

if(ANDROID OR APPLE_FRAMEWORK OR WINRT)
  ocv_module_disable(python2)
  ocv_module_disable(python3)
endif()

add_subdirectory(python2)
add_subdirectory(python3)

=== modules/video/CMakeLists.txt ===
set(the_description "Video Analysis")
ocv_define_module(video opencv_imgproc WRAP java python)

=== samples/directx/CMakeLists.txt ===
SET(OPENCV_DIRECTX_SAMPLES_REQUIRED_DEPS opencv_core opencv_imgproc opencv_imgcodecs opencv_videoio opencv_highgui)

ocv_check_dependencies(${OPENCV_DIRECTX_SAMPLES_REQUIRED_DEPS})

if(BUILD_EXAMPLES AND OCV_DEPENDENCIES_FOUND)
  set(project "directx")
  string(TOUPPER "${project}" project_upper)

  project("${project}_samples")

  ocv_include_modules_recurse(${OPENCV_DIRECTX_SAMPLES_REQUIRED_DEPS})

  # ---------------------------------------------
  #      Define executable targets
  # ---------------------------------------------
  MACRO(OPENCV_DEFINE_DIRECTX_EXAMPLE name srcs)
    set(the_target "example_${project}_${name}")
    add_executable(${the_target} ${srcs})

    ocv_target_link_libraries(${the_target} ${OPENCV_LINKER_LIBS} ${OPENCV_DIRECTX_SAMPLES_REQUIRED_DEPS})

    set_target_properties(${the_target} PROPERTIES
      OUTPUT_NAME "${project}-example-${name}"
      PROJECT_LABEL "(EXAMPLE_${project_upper}) ${name}")

    if(ENABLE_SOLUTION_FOLDERS)
      set_target_properties(${the_target} PROPERTIES FOLDER "samples//${project}")
    endif()

    if(WIN32)
      if(MSVC AND NOT BUILD_SHARED_LIBS)
        set_target_properties(${the_target} PROPERTIES LINK_FLAGS "/NODEFAULTLIB:atlthunk.lib /NODEFAULTLIB:atlsd.lib /DEBUG")
      endif()
      install(TARGETS ${the_target} RUNTIME DESTINATION "${OPENCV_SAMPLES_BIN_INSTALL_PATH}/${project}" COMPONENT samples)
    endif()
  ENDMACRO()

  file(GLOB all_samples RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

  foreach(sample_filename ${all_samples})
    get_filename_component(sample ${sample_filename} NAME_WE)
    file(GLOB sample_srcs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${sample}.*)
    OPENCV_DEFINE_DIRECTX_EXAMPLE(${sample} ${sample_srcs})
  endforeach()
endif()

=== samples/android/camera-calibration/CMakeLists.txt ===
set(sample example-camera-calibration)

add_android_project(${sample} "${CMAKE_CURRENT_SOURCE_DIR}" LIBRARY_DEPS ${OpenCV_BINARY_DIR} SDK_TARGET 11 ${ANDROID_SDK_TARGET})
if(TARGET ${sample})
  add_dependencies(opencv_android_examples ${sample})
endif()

=== debian/changelog ===
opencv (3.2.0+dfsg.1-1+dde) unstable; urgency=medium

  * Modify libavresample-dev to libswresample-dev in debian/control file.
  * Fix Ffmpeg compile failure.

 -- Wang Jinlong <wangjinlong@uniontech.com>  Tue, 07 Jun 2022 15:51:48 +0800

opencv (3.2.0+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Import security update from Ubuntu.

  [ Nobuhiro Iwamatsu ]
  * Change Vcs-Git and Vcs-Browser to salsa.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 Feb 2019 12:26:31 +0100

opencv (3.2.0+dfsg-5ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
  * SECURITY UPDATE: Out-of-bounds read/write errors and buffer
    overflows in different functions.
    - debian/patches/CVE-2017-several.patch: fix in bitstrm.cpp,
      bitstrm.hpp, grfmt_bmp.cpp, grfmt_pxm.cpp, loadsave.cpp,
      test_grfmt.cpp and cuda_test.cpp.
    - CVE-2016-1516
    - CVE-2016-1517
    - CVE-2017-12597
    - CVE-2017-12598
    - CVE-2017-12599
    - CVE-2017-12600
    - CVE-2017-12601
    - CVE-2017-12602
    - CVE-2017-12603
    - CVE-2017-12604
    - CVE-2017-12605
    - CVE-2017-12606
    - CVE-2017-12862
    - CVE-2017-12863
    - CVE-2017-12864
  * SECURITY UPDATE: Out of bound write cause segmentation fault
    - debian/patches/CVE-2017-14136.patch: fix in grfmt_bmp.cpp,
      grfmt_exr.cpp, grfmt_jpeg.cpp, grfmt_jpeg2000.cpp,
      grfmt_pam.cpp, grfmt_sunras.cpp, utils.cpp and utils.hpp.
    - CVE-2017-14136
  * SECURITY UPDATE: Buffer Overflow in the cv::PxMDecoder::readData
    function in grfmt_pxm.cpp
    - debian/patches/CVE-2017-17760.patch: fix in grfmt_pxm.cpp.
    - CVE-2017-17760
  * SECURITY UPDATE: Integer overflow may lead to remote execution or
    denial of service
    - debian/patches/CVE-2017-1000450.patch: fix in grfmt_bmp.cpp.
    - CVE-2017-1000450
  * SECURITY UPDATE: A heap-based buffer overflow happens in
    cv::Jpeg2KDecoder::readComponent8u when parsing a crafted image file
    - debian/patches/CVE-2018-5268.patch: fix in grfmt_jpeg2000.cpp.
    - CVE-2018-5268
  * SECURITY UPDATE: an assertion failure happens in
    cv::RBaseStream::setPos in modules/imgcodecs/src/bitstrm.cpp because
    of an incorrect integer cast.
    - debian/patches/CVE-2018-5269.patch: add overflow checks.
    - CVE-2018-5269

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Nov 2018 19:35:26 +0100

opencv (3.2.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with Python 3.7.  Closes: #914752
  * d/control: Set the git branch in Vcs-Git.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 28 Nov 2018 12:35:19 +0100

opencv (3.2.0+dfsg-4.1ubuntu3) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 14:51:43 -0500

opencv (3.2.0+dfsg-4.1ubuntu2) disco; urgency=medium

  * Build with -fpermissive for now.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Nov 2018 09:15:58 +0100

opencv (3.2.0+dfsg-4.1ubuntu1) disco; urgency=medium

  * No-change rebuild for Python 3.7 as the default Python 3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 17:43:25 +0100

opencv (3.2.0+dfsg-4.1ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read/write errors and buffer
    overflows in different functions.
    - debian/patches/CVE-2017-several.patch: fix in bitstrm.cpp,
      bitstrm.hpp, grfmt_bmp.cpp, grfmt_pxm.cpp, loadsave.cpp,
      test_grfmt.cpp and cuda_test.cpp.
    - CVE-2016-1516
    - CVE-2016-1517
    - CVE-2017-12597
    - CVE-2017-12598
    - CVE-2017-12599
    - CVE-2017-12600
    - CVE-2017-12601
    - CVE-2017-12602
    - CVE-2017-12603
    - CVE-2017-12604
    - CVE-2017-12605
    - CVE-2017-12606
    - CVE-2017-12862
    - CVE-2017-12863
    - CVE-2017-12864
  * SECURITY UPDATE: Out of bound write cause segmentation fault
    - debian/patches/CVE-2017-14136.patch: fix in grfmt_bmp.cpp,
      grfmt_exr.cpp, grfmt_jpeg.cpp, grfmt_jpeg2000.cpp,
      grfmt_pam.cpp, grfmt_sunras.cpp, utils.cpp and utils.hpp.
    - CVE-2017-14136
  * SECURITY UPDATE: Buffer Overflow in the cv::PxMDecoder::readData
    function in grfmt_pxm.cpp
    - debian/patches/CVE-2017-17760.patch: fix in grfmt_pxm.cpp.
    - CVE-2017-17760
  * SECURITY UPDATE: Integer overflow may lead to remote execution or
    denial of service
    - debian/patches/CVE-2017-1000450.patch: fix in grfmt_bmp.cpp.
    - CVE-2017-1000450
  * SECURITY UPDATE: A heap-based buffer overflow happens in
    cv::Jpeg2KDecoder::readComponent8u when parsing a crafted image file
    - debian/patches/CVE-2018-5268.patch: fix in grfmt_jpeg2000.cpp.
    - CVE-2018-5268
  * SECURITY UPDATE: an assertion failure happens in
    cv::RBaseStream::setPos in modules/imgcodecs/src/bitstrm.cpp because
    of an incorrect integer cast.
    - debian/patches/CVE-2018-5269.patch: add overflow checks.
    - CVE-2018-5269

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 25 Sep 2018 12:22:15 -0300

opencv (3.2.0+dfsg-4.1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:43:40 +0000

opencv (3.2.0+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix building with ffmpeg 4.0. (Closes: #888386)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jul 2018 22:59:18 +0200

## opencv 3.3.0+dfsg

=== debian/changelog ===
opencv (3.3.0+dfsg-1~exp0) experimental; urgency=medium

  * Team upload.

  [ Nobuhiro Iwamatsu ]
  * Update to OpenCV 3.3.0.
  * Refresh patches.
    + Remove fix_VFP_asm patch, applied upstream.
  * Disable ITT.
  * Disable the dnn module through a CMake option instead of a patch.
  * Disable the dnn_modern module.
  * Add img_hasn and traking modules to libopencv-contrib.
  * Remove valgrind.supp and valgrind_3rdparty.supp.

  [ Mattia Rizzolo ]
  * d/patches:
    + Drop unused Don-t-check-sphinx-build-version.patch patch file.
    + Forward fix_ftbfs_on_non_linux.
  * d/rules:
    + Handle CPU optimization the way OpenCV 3.3 expects us to.
  * Bump debhelper compat level to 10.
    + Drop dh --parallel option, now default.
  * Drop unused lintian override debian-watch-file-should-mangle-version
  * d/patches/fix_java_build.patch: add to fix FTBFS in certain conditions.
  * d/control: place libopencv3.3-jni in section java.
  * Install maven artifacts with maven-repo-helper so reverse dependencies can
    automatically pick the dependency by using ${maven:Depends}.
    Thanks to Gilles Filippini <pini@debian.org> for the patch. Closes: #878949

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 29 Oct 2017 15:59:18 +0100

=== debian/control ===
Source: opencv
Priority: optional
Section: devel
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Nobuhiro Iwamatsu <iwamatsu@debian.org>,
Build-Depends:
 ant,
 cmake (>= 2.8.7),
# specifically include dbus-x11 to temporary work around #878878
# and allow apt on !linux to satisfy the build-deps
 dbus-x11 [!linux-any],
 debhelper (>= 10),
 default-jdk,
 dh-python,
 doxygen,
 javahelper,
 libavcodec-dev,
 libavformat-dev,
 libavresample-dev,
 libdc1394-22-dev [linux-any],
 libeigen3-dev,
 libgdal-dev,
 libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libgoogle-glog-dev,
 libgphoto2-dev,
 libgtk-3-dev,
 libjpeg-dev,
 liblapack-dev (>= 3.2.1),
 libleptonica-dev,
 libopenexr-dev (>= 1.6.1-8.1),
 libpng-dev,
 libprotobuf-dev,
 libraw1394-dev [linux-any],
 libswscale-dev,
 libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
 libtesseract-dev,
 libtiff-dev,
 libv4l-dev [linux-any],
 libvtk6-dev,
 maven-repo-helper,
 ocl-icd-opencl-dev,
 protobuf-compiler,
 python-dev,
 python-numpy,
 python3-dev,
 python3-numpy,
 zlib1g-dev (>= 1.2.5),
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/opencv.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/opencv.git
Homepage: https://opencv.org

Package: opencv-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
Conflicts:
 libopencv-doc,
Replaces:
 libopencv-doc,
Description: OpenCV documentation and examples
 This package contains the OpenCV documentation and example programs.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-dev
Section: libdevel
Architecture: any
Depends:
 libopencv-calib3d-dev (= ${binary:Version}),
 libopencv-contrib-dev (= ${binary:Version}),
 libopencv-core-dev (= ${binary:Version}),
 libopencv-features2d-dev (= ${binary:Version}),
 libopencv-flann-dev (= ${binary:Version}),
 libopencv-highgui-dev (= ${binary:Version}),
 libopencv-imgcodecs-dev (= ${binary:Version}),
 libopencv-imgproc-dev (= ${binary:Version}),
 libopencv-ml-dev (= ${binary:Version}),
 libopencv-objdetect-dev (= ${binary:Version}),
 libopencv-photo-dev (= ${binary:Version}),
 libopencv-shape-dev (= ${binary:Version}),
 libopencv-stitching-dev (= ${binary:Version}),
 libopencv-superres-dev (= ${binary:Version}),
 libopencv-ts-dev (= ${binary:Version}),
 libopencv-video-dev (= ${binary:Version}),
 libopencv-videoio-dev (= ${binary:Version}),
 libopencv-videostab-dev (= ${binary:Version}),
 libopencv-viz-dev (= ${binary:Version}),
 libopencv3.3-java (= ${source:Version}),
 pkg-config,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 opencv-data,
Suggests:
 opencv-doc,
Breaks:
 libopencv-core-dev (<= 2.3.1-8),
Replaces:
 libcv-dev,
 libcvaux-dev,
 libhighgui-dev,
Conflicts:
 libcv-dev (<= 2.4.9.1+dfsg-2.1),
 libcvaux-dev (<= 2.4.9.1+dfsg-2.1),
 libhighgui-dev (<= 2.4.9.1+dfsg-2.1),
Description: development files for opencv
 This is a metapackage providing development package necessary for
 development of OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: opencv-data
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 libopencv-dev (<= 2.3.1-12),
Description: development data for opencv
 This package contains some architecture independent files useful for
 development with OpenCV.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core3.3 (= ${binary:Version}),
 libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
 zlib1g-dev,
 ${misc:Depends},
Description: development files for libopencv-core3.3
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) core.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core3.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision core library
 This package contains the OpenCV (Open Computer Vision) core runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core-dev (= ${binary:Version}),
 libopencv-ml3.3 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-ml3.3
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Machine Learning library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml3.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencv-core3.3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision Machine Learning library
 This package contains the OpenCV (Open Computer Vision) Machine Learning
 runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgproc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencv-core-dev (= ${binary:Version}),
 libopencv-imgproc3.3 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-imgproc3.3
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Image Processing library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgproc3.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencv-core3.3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: computer vision Image Processing library
 This package contains the OpenCV (Open Computer Vision) Image Processing
 runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgcodecs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
 libopencv-imgcodecs3.3 (= ${binary:Version}),
 libopencv-imgproc-dev (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libopencv-imgcodecs3.3
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Image Codecs library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-imgcodecs3.3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk

BUILDDIR = obj-$(DEB_HOST_MULTIARCH)

CMAKE_ARCH_FLAGS :=

# Comply with Debian architectures baseline.
# See cmake/OpenCVCompilerOptimizations.cmake for a list of known features.
# Don't try to autodetect CPU features
CMAKE_ARCH_FLAGS += -DCPU_DISPATCH=
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
 # Only SSE2 on amd64
 CMAKE_ARCH_FLAGS += -DCPU_BASELINE=SSE2
 CMAKE_ARCH_FLAGS += -DCPU_BASELINE_REQUIRE=SSE2
 CMAKE_ARCH_FLAGS += -DCPU_BASELINE_DISABLE=SSE3
else ifeq ($(DEB_HOST_ARCH_CPU),armhf)
 CMAKE_ARCH_FLAGS += -DCPU_BASELINE_DISABLE="VFPV3 NEON"
else ifeq ($(DEB_HOST_ARCH_CPU),i386)
 # Be extra sure SSE is not picked up on i386
 CMAKE_ARCH_FLAGS += -DCPU_BASELINE_DISABLE="SSE SSE2"
endif

# TBB support
ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64))
CMAKE_ARCH_FLAGS += -DWITH_TBB=ON
else
CMAKE_ARCH_FLAGS += -DWITH_TBB=OFF
endif

# Linux-specific stuff
ifeq ($(DEB_HOST_ARCH_OS),linux)
CMAKE_ARCH_FLAGS += -DWITH_1394=ON -DWITH_V4L=ON
else
CMAKE_ARCH_FLAGS += -DWITH_1394=OFF -DWITH_V4L=OFF
endif

# For Java
export JAVA_HOME=/usr/lib/jvm/default-java

CMAKE_FLAGS = \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
	-DOPENCV_MATHJAX_RELPATH=/usr/share/javascript/mathjax/ \
	-DCMAKE_BUILD_TYPE=Release	\
	-DBUILD_EXAMPLES=ON	\
	-DINSTALL_C_EXAMPLES=ON	\
	-DINSTALL_PYTHON_EXAMPLES=ON	\
	-DWITH_FFMPEG=ON	\
	-DWITH_GSTREAMER=OFF	\
	-DWITH_GTK=ON	\
	-DWITH_JASPER=OFF	\
	-DWITH_JPEG=ON	\
	-DWITH_PNG=ON	\
	-DWITH_TIFF=ON	\
	-DWITH_OPENEXR=ON \
	-DWITH_PVAPI=ON	\
	-DWITH_UNICAP=OFF	\
	-DWITH_EIGEN=ON \
	-DWITH_VTK=ON \
	-DWITH_GDAL=ON \
	-DWITH_GDCM=ON \
	-DWITH_XINE=OFF	\
	-DWITH_IPP=OFF \
	-DWITH_ITT=OFF \
	-DBUILD_TESTS=OFF \
	-DCMAKE_SKIP_RPATH=ON \
	-DWITH_CUDA=OFF \
	-DENABLE_PRECOMPILED_HEADERS=OFF \
	-DWITH_IPP=OFF \
	-DWITH_CAROTENE=OFF \
	-DBUILD_opencv_dnn=OFF \
	-DBUILD_opencv_dnn_modern=OFF \
	-DOPENCL_INCLUDE_DIR:PATH="/usr/include/CL/" \
	-DOPENCV_EXTRA_MODULES_PATH="$(CURDIR)/contrib/modules" \
	$(CMAKE_ARCH_FLAGS)

%:
	dh $@ --with python2,python3,javahelper,jh_maven_repo_helper

override_dh_clean:
	rm -rvf modules/python/src2/hdr_parser.pyc
	rm -rvf modules/java/generator/rst_parser.pyc
	rm -rvf modules/refman.rst

	dh_clean
	-rm -rvf modules/python/src2/__pycache__

override_dh_auto_clean:
	dh_auto_clean -B $(BUILDDIR)
	dh_auto_clean -B $(BUILDDIR)-static


override_dh_auto_configure: configure_dyn configure_static
configure_dyn:
	dh_auto_configure -B $(BUILDDIR) \
		-- $(CMAKE_FLAGS) \
		-DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
		-DBUILD_SHARED_LIBS=ON -DBUILD_DOCS=ON
configure_static:
	dh_auto_configure -B $(BUILDDIR)-static \
		-- $(CMAKE_FLAGS) \
		-DBUILD_SHARED_LIBS=OFF -DBUILD_DOCS=OFF


override_dh_auto_build: build_dyn build_static
build_dyn:
	dh_auto_build -B $(BUILDDIR)
	dh_auto_build -B $(BUILDDIR) -- doxygen
build_static:
	dh_auto_build -B $(BUILDDIR)-static

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -B $(BUILDDIR)

override_dh_install:
	# change install path of java library
	sed -i -e "s@share\/OpenCV\/java\/@lib\/jni\/@g" \
		debian/tmp/usr/share/OpenCV/OpenCVModules-release.cmake

	# put the static libs together with the rest of the stuff
	cp -v $(BUILDDIR)-static/lib/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

	rm -vrf debian/tmp/usr/share/OpenCV/doc/html/jquery.js

	rm -vrf debian/tmp/usr/share/OpenCV/valgrind_3rdparty.supp \
		debian/tmp/usr/share/OpenCV/valgrind.supp

	find debian/tmp -type d -empty -delete
	dh_install --fail-missing

override_dh_gencontrol:
	dh_numpy
	dh_numpy3
	dh_gencontrol

OCV_CONTRIB = opencv_contrib-3.2.0
PKG = opencv
UVER = $(shell dpkg-parsechangelog -S Version | sed 's,-.*,,')
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(UVER))
get-orig-source:
	@echo "# OpenCV Downloading..."
	uscan --no-conf --verbose --force-download --download-version $(VER) --no-symlink
	@echo "# Packing..."
	mk-origtargz --repack --compression xz -S $(DTYPE) -C .. ../opencv_$(VER).orig.tar.gz -v $(VER)

	@echo "# OpenCV contrib Downloading..."
	uscan --no-conf --verbose --force-download --download-version $(VER) --no-symlink
	mk-origtargz --repack --compression xz -S $(DTYPE) -C .. ../opencv_$(VER).orig-contrib.tar.gz -v $(VER) -c contrib

## opencv 3.4.5+dfsg

=== debian/changelog ===
opencv (3.4.5+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 3.4.5+dfsg
  * Reference bugs forgot to close in changelog of previous revision.
  * Add Depends: libilmbase-dev to libopencv-dev to fix missing shlib
    deps for binary executables shipped in libopencv-dev.
  * Update the list of closed CVEs in the previous changelog section.
    Synced with Gianfranco Costamagna's Ubuntu delta (3.2.0+dfsg-5ubuntu1).
  * RM README.source, move Files-Excluded to d/copyright (Closes: #862796)
  * Breaks+Replaces libopencv3.3-java. (Closes: #880212)
  * Bump version string from 344 to 345 for Java stuff and pom.xml
  * Amend installation of python files.
  * Define OPENCV_SKIP_PYTHON_LOADER=ON.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 30 Dec 2018 10:18:57 +0000

opencv (3.4.4+dfsg-1~exp1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * d/control:
    + Use unversioned Conflicts in libopencv-dev, to force the removal
      of some old packages.  Closes: #880921
    + Remove dbus-x11 work around now that #878878 is fixed.

  [ Nobuhiro Iwamatsu ]
  * Add libvtkgdcm2-dev, libgdcm-tools to Build-Depends.
  * Set -DBUILD_PROTOBUF=OFF in CMake options
  * Remove patches:
    - fix_ftbfs_on_non_linux, support_multiarch, mathjax
    - disable_dnn_modern, fix_java_build.patch
  * Update module list of contrib, add hfs module to contrib.
  * Install usr/share/OpenCV/licenses/SoftFloat-COPYING.txt to libopencv-dev
  * Update debhelper compatibility to 11
  * Bump Standards-Version to 4.1.5
  * Change Vcs-Git and Vcs-Browser to salsa
  * Update patches/disable_opengl_test_build
  * Update patches/change_jquery.js_path

  [ Mo Zhou ]
  * New upstream version 3.4.4+dfsg (Closes: #913330)
  * Append myself to Uploaders.
  * Remove patch disable_opengl_test_build, not useful anymore.
  * Sort CMake options in rules.
  * Explicitly enable the dnn and face modules in CMake options.
    (Closes: #909179)
  * Prevent CMake from downloading pre-trained model for face module. (patch)
  * Update jar Version in d/pom.xml
  * Fix java build/installation by explicitly specifying ANT_EXECUTABLE.
    (Ref: #914748)
  * Compile then install the text module to the -contrib package.
  * New binary package libopencv-dnn3.4, and it's corresponding dev package.
  * New shared object libopencv_dnn_objdetect.so in the -contrib package.
  * Update d/copyright.
  * Misc cleanup: fix metadata syntax error.
  * Define PROTOBUF_UPDATE_FILES=ON in cmake options in order to refresh
    protobuf related files for the dnn module.

  [ Vulnerabilities Fixed in Upstream 3.4.4 Release ]
  * CVE-2016-1516, CVE-2016-1517 (Ref: #872043)
  * CVE-2017-12597, CVE-2017-12598, CVE-2017-12599, CVE-2017-12601,
    CVE-2017-12603, CVE-2017-12604, CVE-2017-12605, CVE-2017-12606
    (Ref: 872044)
  * CVE-2017-12600, CVE-2017-12602 (Ref: #872045)
  * CVE-2017-12862 (Ref: #875342)
  * CVE-2017-12863 (Ref: #875344)
  * CVE-2017-12864 (Ref: #875345)
  * CVE-2017-14136
  * CVE-2017-17760 (Ref: #885843)
  * CVE-2017-18009
  * CVE-2017-1000450 (Ref: #886282)
  * CVE-2018-5268 (Closes: #886674)
  * CVE-2018-5269 (Closes: #886675)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 27 Nov 2018 14:13:09 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,11 @@
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+ Mo Zhou <cdluminate@gmail.com>,
 Build-Depends:
  ant,
  cmake (>= 2.8.7),
-# specifically include dbus-x11 to temporary work around #878878
-# and allow apt on !linux to satisfy the build-deps
- dbus-x11 [!linux-any],
- debhelper (>= 10),
+ debhelper (>= 11),
  default-jdk,
  dh-python,
  doxygen,
@@ -41,6 +39,8 @@
  libtiff-dev,
  libv4l-dev [linux-any],
  libvtk6-dev,
+ libvtkgdcm2-dev,
+ libgdcm-tools,
  maven-repo-helper,
  ocl-icd-opencl-dev,
  protobuf-compiler,
@@ -49,9 +49,9 @@
  python3-dev,
  python3-numpy,
  zlib1g-dev (>= 1.2.5),
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/opencv.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/opencv.git
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/science-team/opencv.git
+Vcs-Browser: https://salsa.debian.org/science-team/opencv
 Homepage: https://opencv.org
 
 Package: opencv-doc
@@ -85,6 +85,7 @@
  libopencv-calib3d-dev (= ${binary:Version}),
  libopencv-contrib-dev (= ${binary:Version}),
  libopencv-core-dev (= ${binary:Version}),
+ libopencv-dnn-dev (= ${binary:Version}),
  libopencv-features2d-dev (= ${binary:Version}),
  libopencv-flann-dev (= ${binary:Version}),
  libopencv-highgui-dev (= ${binary:Version}),
@@ -101,10 +102,11 @@
  libopencv-videoio-dev (= ${binary:Version}),
  libopencv-videostab-dev (= ${binary:Version}),
  libopencv-viz-dev (= ${binary:Version}),
- libopencv3.3-java (= ${source:Version}),
+ libopencv3.4-java (= ${source:Version}),
  pkg-config,
  ${misc:Depends},
  ${shlibs:Depends},
+ libilmbase-dev,
 Recommends:
  opencv-data,
 Suggests:
@@ -116,9 +118,9 @@
  libcvaux-dev,
  libhighgui-dev,
 Conflicts:
- libcv-dev (<= 2.4.9.1+dfsg-2.1),
- libcvaux-dev (<= 2.4.9.1+dfsg-2.1),
- libhighgui-dev (<= 2.4.9.1+dfsg-2.1),
+ libcv-dev,
+ libcvaux-dev,
+ libhighgui-dev,
 Description: development files for opencv
  This is a metapackage providing development package necessary for
  development of OpenCV (Open Computer Vision).
@@ -159,11 +161,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libopencv-core3.3 (= ${binary:Version}),
+ libopencv-core3.4 (= ${binary:Version}),
  libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
  zlib1g-dev,
  ${misc:Depends},
-Description: development files for libopencv-core3.3
+Description: development files for libopencv-core3.4
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) core.
  .
@@ -177,7 +179,7 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-core3.3
+Package: libopencv-core3.4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -205,9 +207,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-ml3.3 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-ml3.3
+ libopencv-ml3.4 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-ml3.4
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Machine Learning library.
  .
@@ -221,14 +223,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-ml3.3
+Package: libopencv-ml3.4
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core3.3 (= ${binary:Version}),
+ libopencv-core3.4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Machine Learning library
@@ -251,9 +253,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-imgproc3.3 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-imgproc3.3
+ libopencv-imgproc3.4 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-imgproc3.4
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Processing library.
  .
@@ -267,14 +269,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgproc3.3
+Package: libopencv-imgproc3.4
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core3.3 (= ${binary:Version}),
+ libopencv-core3.4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Image Processing library
@@ -297,10 +299,10 @@
 Multi-Arch: same
 Depends:
  libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
- libopencv-imgcodecs3.3 (= ${binary:Version}),
+ libopencv-imgcodecs3.4 (= ${binary:Version}),
  libopencv-imgproc-dev (= ${binary:Version}),
  ${misc:Depends},
-Description: development files for libopencv-imgcodecs3.3
+Description: development files for libopencv-imgcodecs3.4
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Codecs library.
  .
@@ -314,8 +316,13 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgcodecs3.3
+Package: libopencv-imgcodecs3.4
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ libopencv-imgproc3.4 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -41,44 +41,50 @@
 export JAVA_HOME=/usr/lib/jvm/default-java
 
 CMAKE_FLAGS = \
+	-DANT_EXECUTABLE=/usr/bin/ant \
+	-DBUILD_EXAMPLES=ON	\
+	-DBUILD_PROTOBUF=OFF \
+	-DBUILD_TESTS=OFF \
+	-DBUILD_JAVA=ON \
+	-DBUILD_opencv_dnn=ON \
+	-DBUILD_opencv_dnn_modern=ON \
+	-DBUILD_opencv_face=ON \
+	-DCMAKE_BUILD_TYPE=Release	\
+	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
+	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
+	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
+	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
 	-DCMAKE_INSTALL_PREFIX=/usr \
-	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
+	-DCMAKE_SKIP_RPATH=ON \
 	-DCMAKE_VERBOSE_MAKEFILE=ON \
-	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
-	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
-	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
+	-DENABLE_PRECOMPILED_HEADERS=OFF \
+	-DINSTALL_C_EXAMPLES=ON	\
+	-DINSTALL_PYTHON_EXAMPLES=ON \
+	-DOPENCL_INCLUDE_DIR:PATH="/usr/include/CL/" \
+	-DOPENCV_EXTRA_MODULES_PATH="$(CURDIR)/contrib/modules" \
 	-DOPENCV_MATHJAX_RELPATH=/usr/share/javascript/mathjax/ \
-	-DCMAKE_BUILD_TYPE=Release	\
-	-DBUILD_EXAMPLES=ON	\
-	-DINSTALL_C_EXAMPLES=ON	\
-	-DINSTALL_PYTHON_EXAMPLES=ON	\
+	-OPENCV_SKIP_PYTHON_LOADER=ON \
+	-DPROTOBUF_UPDATE_FILES=ON \
+	-DWITH_CAROTENE=OFF \
+	-DWITH_CUDA=OFF \
+	-DWITH_EIGEN=ON \
 	-DWITH_FFMPEG=ON	\
-	-DWITH_GSTREAMER=OFF	\
-	-DWITH_GTK=ON	\
+	-DWITH_GDAL=ON \
+	-DWITH_GDCM=ON \
+	-DWITH_GSTREAMER=OFF \
+	-DWITH_GTK=ON \
+	-DWITH_IPP=OFF \
+	-DWITH_ITT=OFF \
 	-DWITH_JASPER=OFF	\
 	-DWITH_JPEG=ON	\
+	-DWITH_OPENEXR=ON \
 	-DWITH_PNG=ON	\
+	-DWITH_QUIRC=OFF \
+	-DWITH_PVAPI=ON	\
 	-DWITH_TIFF=ON	\
-	-DWITH_OPENEXR=ON \
-	-DWITH_PVAPI=ON	\
 	-DWITH_UNICAP=OFF	\
-	-DWITH_EIGEN=ON \
 	-DWITH_VTK=ON \
-	-DWITH_GDAL=ON \
-	-DWITH_GDCM=ON \
 	-DWITH_XINE=OFF	\
-	-DWITH_IPP=OFF \
-	-DWITH_ITT=OFF \
-	-DBUILD_TESTS=OFF \
-	-DCMAKE_SKIP_RPATH=ON \
-	-DWITH_CUDA=OFF \
-	-DENABLE_PRECOMPILED_HEADERS=OFF \
-	-DWITH_IPP=OFF \
-	-DWITH_CAROTENE=OFF \
-	-DBUILD_opencv_dnn=OFF \
-	-DBUILD_opencv_dnn_modern=OFF \
-	-DOPENCL_INCLUDE_DIR:PATH="/usr/include/CL/" \
-	-DOPENCV_EXTRA_MODULES_PATH="$(CURDIR)/contrib/modules" \
 	$(CMAKE_ARCH_FLAGS)
 
 %:
@@ -107,7 +113,6 @@
 	dh_auto_configure -B $(BUILDDIR)-static \
 		-- $(CMAKE_FLAGS) \
 		-DBUILD_SHARED_LIBS=OFF -DBUILD_DOCS=OFF
-
 
 override_dh_auto_build: build_dyn build_static
 build_dyn:
@@ -142,7 +147,7 @@
 	dh_numpy3
 	dh_gencontrol
 
-OCV_CONTRIB = opencv_contrib-3.2.0
+OCV_CONTRIB = opencv_contrib-3.4.2
 PKG = opencv
 UVER = $(shell dpkg-parsechangelog -S Version | sed 's,-.*,,')
 DTYPE = +dfsg
